Skip to content

List available A2A agents

GET
/api/v1/a2a/agents
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/a2a/agents \
--header 'X-API-Key: <X-API-Key>'

List all available A2A agents with health status.

Returns agent entries with role, name, health status, skill tags, and plan-tier-appropriate extended cards. Optionally filters by skill type tag.

skill_type
Any of:
string

Filter by skill type tag (e.g. finance, marketing, operations, security, intelligence, technology, strategy)

Successful Response

Media typeapplication/json
Response List A2A Agents Api V1 A2A Agents Get
Array<object>
object
key
additional properties
any
Examplegenerated
[
{}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}